Query the retrieval decision log
curl --request GET \
--url https://api.visiqlabs.com/v1/recall/audit-log \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.visiqlabs.com/v1/recall/audit-log"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.visiqlabs.com/v1/recall/audit-log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"page": 123,
"pageSize": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"operation": "<string>",
"resource_type": "<string>",
"decision": "allow",
"reason_code": "<string>",
"reason": "<string>",
"rule_id": "<string>",
"receipt_id": "<string>",
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Invalid request body",
"code": "invalid_request",
"details": [
{
"path": [
"agent_id"
],
"message": "Required"
}
]
}{
"error": "Unauthorized",
"code": "unauthenticated"
}{
"error": "insufficient_scope",
"code": "insufficient_scope",
"detail": "This API key is not authorized for the requested operation."
}{
"error": "rate_limiter_unavailable",
"code": "rate_limiter_unavailable",
"detail": "Rate limiter unavailable, please retry."
}Audit Log
Query the retrieval decision log
Paginated, filterable log of retrieval-governance decisions. Requires permission recall_audit_log:view and scope recall:read.
GET
/
v1
/
recall
/
audit-log
Query the retrieval decision log
Authorizations
A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint harness keys under Settings → Harness Keys and API keys under Settings → API Keys in the dashboard.
Query Parameters
1-based page number.
Required range:
x >= 1Page size (max 100).
Required range:
1 <= x <= 100Maximum string length:
255Available options:
retrieve, tool_call, prompt_render, emergency_bypass_activate, emergency_bypass_deactivate Available options:
allow, deny, redact, escalate Available options:
TIER_MISMATCH, PRINCIPAL_EXCLUDED, POLICY_DENY, AUDIENCE_EXPANSION, SURFACE_RESTRICTION, POLICY_ALLOW, DEFAULT_DENY, EMERGENCY_BYPASS